Aller au contenu


Plugin Pour The Gimp Permettant De Lire Et Enregistrer En *.dds


  • Veuillez vous connecter pour répondre
31 réponses à ce sujet

#1 Celeborn de Lorien

Celeborn de Lorien

    J'ai un avatar laid et en plus j'ai gagné des trucs avec


Posté 02 juin 2006 - 14:47

Il se trouve ici

Dézippez les fichiers n'importe où et déplacez les vers le dossier Program Files/GIMP2-0/lib/gimp/2.0/plug-ins et relancez The Gimp. Maintenant, vous pourrez lire les dds et enregistrer en dds aussi.
Image IPB Wiwi d'Or 2006 de l'avatar le plus laid, la grande clâsse !

#2 Nenfëa

Nenfëa

    Le poisson bavard de Kalendaar


Posté 02 juin 2006 - 16:51

Super ! ;) Enfin un moyen de changer facilement le format de l'image pour le rendre compatible avec les Elders Scrolls, merci ! :D
Nenfëa

- Les yeux, Bouh, vise les yeux!
- Pouiiiiiic!!!

Le monde de Gilbertus devenu réalité : Kalendaar!
Il était une fois un site vachement bien avec plein de nistoires dessus... ah, vous la connaissez déjà ?!

Wiwi d'or 2006 du plus serviable ! Tadaaaaaaaa !

#3 Metzouk

Metzouk

    Fargoth on Ze Beach


Posté 07 juin 2006 - 00:52

yop merci c'est nickel, vraiment ça m'aide beaucoup  :rolleyes:

#4 Kephuro

Kephuro

Posté 07 juin 2006 - 15:06

Juste une petite question rapidos :-)
A l'enregistrement, le plugin nous propose plusieurs modes de compression. Sont-ils compatibles avec le TESC ou pas ?
Enfin j'dis ça, moi j'y connais rien :-D J'ai vu que ça ne posait pas de problèmes à NifSkope donc je me suis posé la question.

#5 AshKhan

AshKhan

    Cryptologue Ra'jiskanien


Posté 07 juin 2006 - 18:47

Apparemment le mode de compression dépend de la texture.
Moi comme j'ai juste modifié des textures, j'ai gardé les mêmes propriétées que la texture originale
  Si tu es prêt à sacrifier un peu de liberté pour te sentir en sécurité, tu ne mérites ni l'une ni l'autre.. --- Thomas Jefferson ---

#6 Nerwal

Nerwal

    SAMU Kalendaarien


Posté 07 juin 2006 - 18:57

Citation

A l'enregistrement, le plugin nous propose plusieurs modes de compression. Sont-ils compatibles avec le TESC ou pas ?

http://forum.wiwilan...showtopic=31439 pour quelques réponses

#7 TiNitro

TiNitro

Posté 23 avril 2007 - 14:19

C'est supeeeeeer ça !!!  :rolleyes:


Mais chez moi ça ne fonctionne pas  :laughing1:

Si j'essaie d'ouvrir directement un fichier de texture dds d'oblivion, j'ai un message d'erreur "Le greffon n'a pas pu ouvrir l'image".

Image IPB

Peut-être l'absence de support des compressions utilisées par Oblivion ? J'arrive à ouvrir d'autres fichiers dds...


HELP  :)

#8 eneru

eneru

Posté 23 avril 2007 - 16:13

ca depend du niveau de compression (EXT 3 ou un truc comme ca ?) je pense, parce que moi idem sous linux impossible d'enregistrer ou d'ouvrir des textures d'obli...
sans image aucune ^^

(ah si ! Image IPB )


#9 Not Quite Dead

Not Quite Dead

    Rincevent


Posté 14 juillet 2007 - 17:25

Voir le messageCeleborn de Lorien, le 02.06.2006 à 15:47, dit :

Il se trouve ici

Dézippez les fichiers n'importe où et déplacez les vers le dossier Program Files/GIMP2-0/lib/gimp/2.0/plug-ins et relancez The Gimp. Maintenant, vous pourrez lire les dds et enregistrer en dds aussi.
Je débute totalement avec Gimp, et apparemment, j'ai dû faire une erreur quelque part... J'ai tout copié collé dans le répertoire indiqué par Celeborn, et pourtant, j'écope au démarrage de Gimp2 du message suivant:

Citation

Le point d'entrée de procédure gimp_image_get_colormap est introuvable dans la bibliothèque de liaisons dynamiques libgimp-2.0-0.dll.
Lorsque je supprime les fichiers du greffon, tout redevient normal.
Par ailleurs, je ne peux apparemment toujours pas sauver des images au format dds.

Quelqu'un saurait-il me conseiller? sleeping.gif

D'avance, merci.
« I was a soldier! I killed people!
- You were a doctor!
- I had bad days! »
John Watson, en train d'étrangler Sherlock Holmes, Sherlock - A Scandal in Belgravia (2012)
---------------
Vous aussi rejoignez les Fervents Partisans de l'Immuabilité Avatarienne!
---------------
VGM impénitent (était-il besoin de le préciser?)
---------------
Paterfamilias niv.IV

#10 Celeborn de Lorien

Celeborn de Lorien

    J'ai un avatar laid et en plus j'ai gagné des trucs avec


Posté 14 juillet 2007 - 17:43

Mmmh il se peut que tu aies une nouvelle version de The Gimp et peut-être que mon tuto est devenu obsolète de facto sleeping.gif
Image IPB Wiwi d'Or 2006 de l'avatar le plus laid, la grande clâsse !

#11 Nenfëa

Nenfëa

    Le poisson bavard de Kalendaar


Posté 14 juillet 2007 - 18:01

Voir le messageNot Quite Dead, le 14.07.2007 à 18:25, dit :

J'ai tout copié collé dans le répertoire indiqué par Celeborn, et pourtant, j'écope au démarrage de Gimp2 du message suivant:

Citation

Le point d'entrée de procédure gimp_image_get_colormap est introuvable dans la bibliothèque de liaisons dynamiques libgimp-2.0-0.dll.
Sous quelle version de The Gimp es-tu ? sleeping.gif
Je te conseille de télécharger la dernière version du logiciel ainsi que de l'environnement GTK+, disponibles par ici - j'avais eu un problème similaire à l'installation du plugin de normal map que la mise à jour a résolu ! ;)
Nenfëa

- Les yeux, Bouh, vise les yeux!
- Pouiiiiiic!!!

Le monde de Gilbertus devenu réalité : Kalendaar!
Il était une fois un site vachement bien avec plein de nistoires dessus... ah, vous la connaissez déjà ?!

Wiwi d'or 2006 du plus serviable ! Tadaaaaaaaa !

#12 Not Quite Dead

Not Quite Dead

    Rincevent


Posté 14 juillet 2007 - 19:46

Après avoir désinstallé la version de gimp que j'avais téléchargé et l'avoir remplacée par celle donnée par Nenfëa ainsi que GTK+, le greffon de Celeborn semble fonctionner à merveille.Merci à vous deux pour vos réponses rapides et efficaces. ;)


[edit]Un problème encore... Désolé. sleeping.gif J'ai enregistré mes textures en .dds, en utilisant, puisque l'objet retexturé est pour Morro, DXT1 comme choix de compression, ainsi qu'en cochant generate mipmaps.Or le résultat obtenu est pour le moins étrange: la robe paraît toute cabossée dans le TESCS et ingame... ce qui était loin d'être le cas avec la texture en .bmp. Où donc ai-je commis une erreur?[/edit]
« I was a soldier! I killed people!
- You were a doctor!
- I had bad days! »
John Watson, en train d'étrangler Sherlock Holmes, Sherlock - A Scandal in Belgravia (2012)
---------------
Vous aussi rejoignez les Fervents Partisans de l'Immuabilité Avatarienne!
---------------
VGM impénitent (était-il besoin de le préciser?)
---------------
Paterfamilias niv.IV

#13 Nerwal

Nerwal

    SAMU Kalendaarien


Posté 14 juillet 2007 - 19:58

Screens ?

#14 Not Quite Dead

Not Quite Dead

    Rincevent


Posté 14 juillet 2007 - 20:38

Voilà des screen:

Spoiler

« I was a soldier! I killed people!
- You were a doctor!
- I had bad days! »
John Watson, en train d'étrangler Sherlock Holmes, Sherlock - A Scandal in Belgravia (2012)
---------------
Vous aussi rejoignez les Fervents Partisans de l'Immuabilité Avatarienne!
---------------
VGM impénitent (était-il besoin de le préciser?)
---------------
Paterfamilias niv.IV

#15 Nerwal

Nerwal

    SAMU Kalendaarien


Posté 14 juillet 2007 - 20:55

Mmmm sleeping.gif Les dimensions de la texture sont bien des multiples de 2 ?

#16 Not Quite Dead

Not Quite Dead

    Rincevent


Posté 14 juillet 2007 - 21:11

J'ai conservé les tailles des textures de base, à savoir 256*256, 128*256 et 128*128. sleeping.gif

[edit]Problème de conversion contourné en employant nvdxt. Merci pour votre aide. ;)[/edit]
« I was a soldier! I killed people!
- You were a doctor!
- I had bad days! »
John Watson, en train d'étrangler Sherlock Holmes, Sherlock - A Scandal in Belgravia (2012)
---------------
Vous aussi rejoignez les Fervents Partisans de l'Immuabilité Avatarienne!
---------------
VGM impénitent (était-il besoin de le préciser?)
---------------
Paterfamilias niv.IV

#17 Nerwal

Nerwal

    SAMU Kalendaarien


Posté 14 juillet 2007 - 23:02

Si je ne m'abuse, nvdxt fait du DXT3 par défaut, non ?

Pourtant, il n'y a pas de transparence en bmp, j'en perds mon latin  sleeping.gif

#18 Kira

Kira

    Top-modeleuse...


Posté 15 juillet 2007 - 03:21

Moi-même, je n'utilise plus le plug-in dds pour le Gimp, il avait tendance à faire un peu n'importe quoi... Je préfère utiliser le dds converter, et travailler en tga sur le Gimp... Mais ça n'engage que moi...
Tout n'est qu'illusion... Surtout le fait de le penser.....
Image IPB
(Wiwi d'or de la plus serviable et de la plus cool... Merci à vous tous...)

#19 jeanlouis

jeanlouis

    814ème majorette évadée


Posté 26 novembre 2007 - 19:55

Bonsoir  :rolleyes:

Une petite question aux spécialistes

Dans la dernière version du Gimp_2_4_2  la première fenêtre qui s'ouvre signale que le fichier Python 2.5 est manquant.

Ensuite on peut lire que l’installation de ce programme est facultative.

Alors ma question est simple, faut-il installer Phyton 2.5, et surtout à quoi sert-il ?

Ceci étant la dernière version installée, les plug-ins Gimp-dds et Gimp normal_map placés aux endroits conseillés, je n’arrive pas à sauvegarder les fichiers dds (aux formats puissance 2) alors que je n’avais aucun problème avec l’ancienne version, comme quoi….

merci d'avance de vos suggestions
Non ! les dinosaures n'ont pas disparus

#20 Ancestral Ghost

Ancestral Ghost

    Chasseur furtif


Posté 26 novembre 2007 - 20:01

Python n'est pas vraiment en programme mais une bibliothèque pour le programmeurs, elle est utilisé par pas mal de programmes comme Blender, Wyre bash, ...

Je ne me rapelle plus si il te la faut pour Gimp ou ce plugin, en tout cas il te faut la bibliothèque GTK+ pour Gimp.

Modifié par Ancestral Ghost, 26 novembre 2007 - 20:01.


#21 jeanlouis

jeanlouis

    814ème majorette évadée


Posté 26 novembre 2007 - 20:03

Voir le messageAncestral Ghost, le 26.11.2007 à 20:00, dit :

Je ne me rapelle plus si il te la faut pour Gimp ou ce plugin, en tout cas il te faut la bibliothèque GTK+ pour Gimp.

Oui, j'ai oublié de l'écrire mais GTk+ est également installé.
Non ! les dinosaures n'ont pas disparus

#22 Nerwal

Nerwal

    SAMU Kalendaarien


Posté 26 novembre 2007 - 21:34

Bonsoir

Est-ce que tu as bien téléchargé la nouvelle version du plugin ? Car Gimp 2.4 étant une mise à jour majeure, les anciennes versions des plugins ne marchent plus sur cette version.

#23 jeanlouis

jeanlouis

    814ème majorette évadée


Posté 27 novembre 2007 - 08:36

J’ai le GTk+ 2.10.13 d’installé.
Non ! les dinosaures n'ont pas disparus

#24 Nerwal

Nerwal

    SAMU Kalendaarien


Posté 27 novembre 2007 - 17:02

Rebonjour

En fait je parlais des versions des plugins dds et normal maps qui ont été mis à jour récemment, désolé de ne pas avoir été clair  :laughing1:

#25 Slik

Slik

Posté 27 novembre 2007 - 17:10

On pourrait avoir un lien vers une hypothétique version Linux du plug ?
Image IPB
Daggerfall for ever !
FPIA qui a perdu son avatar lors du changement de forum...
Psijic en cavale perdu dans Cyrodiil... pendant que son descendant farm les draughrs du côté de Skyrim.




0 utilisateur(s) li(sen)t ce sujet

0 membre(s), 0 invité(s), 0 utilisateur(s) anonyme(s)